create table feedback (
  feedid       integer primary key auto_increment,
  date         timestamp,
  email        text
               not null
               check (email <> ''));

create unique index feedback_date_email_key
       on feedback (date,email(100));
create        index feedback_email_date_key
       on feedback (email(100),date);

create table feedbackitem (
  feedid       int4
               not null,
  field        text
               not null
               check (field <> ''),
  content      text,
               foreign key (feedid) references feedback (feedid));

create index feedbackitem_feedid_field_key
       on feedbackitem (feedid,`field`(100));
