create table "feedback" (
  "feedid"       serial,
  "date"         timestamp,
  "email"        text
                 not null
                 constraint "email_exist" check ("email" <> ''));

create unique index "feedback_feedid_key"
       on "feedback" ("feedid");
create unique index "feedback_date_email_key"
       on "feedback" ("date","email");
create        index "feedback_email_date_key"
       on "feedback" ("email","date");

create table "feedbackitem" (
  "feedid"       int4
                 not null
                 constraint "feedid_ref" references "feedback" ("feedid"),
  "field"        text
                 not null
                 constraint "field_exist" check ("field" <> ''),
  "content"      text);

create index "feedbackitem_feedid_field_key"
       on "feedbackitem" ("feedid","field");
